import { Props, System, Moulinette } from 'moulinette/lib/types';
export declare type By = (value: any, key: string, context: Props) => any;
export declare type TemplateArg = string | number | ((props: Props) => string | number);
export declare type CSSTemplate = [TemplateStringsArray, TemplateArg[]];
export interface Theme {
    spacing: number;
    colors: {
        [key: string]: string;
    };
    fonts: {
        [key: string]: string;
    };
    sizes: {
        [key: string]: number | string;
    };
    breakpoints: {
        [key: string]: number | string;
    };
}
export interface StyledSystem extends System {
    className: string;
    computeCSS: Moulinette;
    as(type: string | Function): this;
    css(template: CSSTemplate[0], ...args: CSSTemplate[1]): this;
    animate(duration: string, animation?: string): this;
}
